Bug 1298577 - Manually attaching a subscription on a system that already has a cdk subscription , re-attaches the cdk subscription
Manually attaching a subscription on a system that already has a cdk subscrip...
Status: CLOSED NOTABUG
Product: Candlepin
Classification: Community
Component: candlepin (Show other bugs)
0.9.51
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: William Poteat
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-14 08:18 EST by Shwetha Kallesh
Modified: 2016-04-14 08:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-14 08:42:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shwetha Kallesh 2016-01-14 08:18:21 EST
Description of problem:
Manually attaching a subscription on a system that already has a cdk subscription , removes the cdk subscription and attaches it again

Version-Release number of selected component (if applicable):
-bash-4.2$ sudo subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.9.51.14-1
subscription management rules: 5.15.1
subscription-manager: 1.15.9-15.el7
python-rhsm: 1.15.4-5.el7


How reproducible:


Steps to Reproduce:
    bash-4.2$ sudo subscription-manager attach --auto
     
     
    Installed Product Current Status:
    Product Name: Red Hat Enterprise Linux High Performance Networking (for RHEL Compute Node)
    Status:       Subscribed
     
    Product Name: Red Hat Enterprise Linux Atomic Host
    Status:       Subscribed
     
    Product Name: Red Hat Enterprise Linux Atomic Host Beta
    Status:       Subscribed
     
    Product Name: Red Hat Developer Toolset (for RHEL Server)
    Status:       Subscribed
     
    Product Name: Red Hat Enterprise Linux High Availability (for RHEL Server)
    Status:       Subscribed
     
    Product Name: Red Hat Enterprise Linux Load Balancer (for RHEL Server) - Extended Update Support
    Status:       Subscribed
     
    Product Name: Red Hat Enterprise Linux High Availability (for RHEL Server) - Extended Update Support
    Status:       Subscribed
     
    Product Name: Red Hat Enterprise Linux Load Balancer (for RHEL Server)
    Status:       Subscribed
     
    Product Name: Red Hat Beta
    Status:       Subscribed
     
    Product Name: Red Hat EUCJP Support (for RHEL Server)
    Status:       Subscribed
     
    Product Name: Red Hat Enterprise Linux for Real Time
    Status:       Subscribed
     
    Product Name: Red Hat Software Collections (for RHEL Server)
    Status:       Subscribed
     
    Product Name: Oracle Java (for RHEL Server) - Extended Update Support
    Status:       Subscribed
     
    Product Name: Oracle Java (for RHEL Server)
    Status:       Subscribed
     
    Product Name: Red Hat Enterprise Linux Server - Extended Update Support
    Status:       Subscribed
     
    Product Name: Red Hat Enterprise Linux Resilient Storage (for RHEL Server) - Extended Update Support
    Status:       Subscribed
     
    Product Name: Red Hat Enterprise Linux Resilient Storage (for RHEL Server)
    Status:       Subscribed
     
    Product Name: Red Hat Enterprise Linux Scalable File System (for RHEL Server) - Extended Update Support
    Status:       Subscribed
     
    Product Name: Red Hat Enterprise Linux Scalable File System (for RHEL Server)
    Status:       Subscribed
     
    Product Name: Red Hat Enterprise Linux Server
    Status:       Subscribed
     
    Product Name: Red Hat Enterprise Linux High Performance Networking (for RHEL Server)
    Status:       Subscribed
     
    Product Name: Red Hat Container Development Kit
    Status:       Subscribed
     
    Product Name: Red Hat Enterprise MRG Messaging 3 for RHEL 7
    Status:       Subscribed
     
    -bash-4.2$ sudo subscription-manager  list --consumed
    +-------------------------------------------+
       Consumed Subscriptions
    +-------------------------------------------+
    Subscription Name:   Internal Shadow Sku CDK Entitlement
    Provides:            Oracle Java (for RHEL Server)
                         Red Hat Enterprise Linux High Performance Networking (for RHEL Compute Node)
                         Red Hat Enterprise Linux Server - Extended Update Support
                         Red Hat EUCJP Support (for RHEL Server)
                         Red Hat Enterprise Linux Server
                         Red Hat Enterprise Linux Atomic Host
                         Oracle Java (for RHEL Server) - Extended Update Support
                         Red Hat Enterprise Linux Resilient Storage (for RHEL Server) - Extended Update Support
                         Red Hat Beta
                         Red Hat Software Collections (for RHEL Server)
                         Red Hat Enterprise Linux Resilient Storage (for RHEL Server)
                         Red Hat Enterprise Linux High Availability (for RHEL Server) - Extended Update Support
                         Red Hat Enterprise Linux Atomic Host Beta
                         Red Hat Enterprise MRG Messaging 3 for RHEL 7
                         Red Hat Developer Toolset (for RHEL Server)
                         Red Hat Enterprise Linux Scalable File System (for RHEL Server) - Extended Update Support
                         Red Hat Enterprise Linux Scalable File System (for RHEL Server)
                         Red Hat Enterprise Linux Load Balancer (for RHEL Server) - Extended Update Support
                         Red Hat Enterprise Linux for Real Time
                         Red Hat Enterprise Linux Load Balancer (for RHEL Server)
                         Red Hat Enterprise Linux High Performance Networking (for RHEL Server)
                         Red Hat Enterprise Linux High Availability (for RHEL Server)
                         Red Hat Container Development Kit
    SKU:                 MCT3295
    Contract:            
    Account:            
    Serial:              2807238372955047060                            -------> Note down the serial number
    Pool ID:             8a99f9845239b8eb01523ff312700c0c
    Provides Management: No
    Active:              True
    Quantity Used:       1
    Service Level:       Self-Support
    Service Type:        
    Status Details:      Subscription is current
    Subscription Type:   Standard
    Starts:              01/14/2016
    Ends:                01/15/2016
    System Type:         Physical
     
    -bash-4.2$ sudo subscription-manager  list --avail
    +-------------------------------------------+
        Available Subscriptions
    +-------------------------------------------+
    Subscription Name:   Red Hat Desktop (Satellite Starter Pack) (50 Entitlements)
    Provides:            Red Hat Satellite Capsule Beta
                         Red Hat Software Collections Beta (for RHEL Workstation)
                         Red Hat Software Collections (for RHEL Workstation)
                         Red Hat Software Collections (for RHEL Server)
                         Red Hat Satellite Capsule
                         Red Hat Satellite with Embedded Oracle
                         Red Hat Enterprise Linux Desktop
                         Red Hat Beta
                         Red Hat Satellite Beta
                         Red Hat Satellite 6 Beta
                         Red Hat Enterprise Linux High Availability (for RHEL Server)
                         Red Hat Enterprise Linux Server
                         Red Hat Satellite
                         Red Hat Software Collections Beta (for RHEL Server)
                         Red Hat Enterprise Linux Load Balancer (for RHEL Server)
    SKU:                 MCT0476
    Contract:            10747821
    Pool ID:             8a99f9835210f0f8015217dab19c33cd
    Provides Management: Yes
    Available:           204
    Suggested:           1
    Service Level:       Premium
    Service Type:        L1-L3
    Subscription Type:   Standard
    Ends:                01/04/2017
    System Type:         Physical
     
    -bash-4.2$ sudo subscription-manager  attach --pool 8a99f9835210f0f8015217dab19c33cd
    Successfully attached a subscription for: Red Hat Desktop (Satellite Starter Pack) (50 Entitlements)
    1 local certificate has been deleted.                             ---------> local certificate has been deleted while attaching subscription
    -bash-4.2$ sudo subscription-manager  list --consumed
    +-------------------------------------------+
       Consumed Subscriptions
    +-------------------------------------------+
    Subscription Name:   Red Hat Desktop (Satellite Starter Pack) (50 Entitlements)
    Provides:            Red Hat Satellite
                         Red Hat Enterprise Linux Desktop
                         Red Hat Enterprise Linux Server
                         Red Hat Software Collections (for RHEL Server)
                         Red Hat Beta
                         Red Hat Satellite Beta
                         Red Hat Software Collections (for RHEL Workstation)
                         Red Hat Software Collections Beta (for RHEL Server)
                         Red Hat Satellite 6 Beta
                         Red Hat Satellite Capsule Beta
                         Red Hat Enterprise Linux Load Balancer (for RHEL Server)
                         Red Hat Software Collections Beta (for RHEL Workstation)
                         Red Hat Satellite with Embedded Oracle
                         Red Hat Satellite Capsule
                         Red Hat Enterprise Linux High Availability (for RHEL Server)
    SKU:                 MCT0476
    Contract:            10747821
    Account:             5583856
    Serial:              3748373759371541284
    Pool ID:             8a99f9835210f0f8015217dab19c33cd
    Provides Management: Yes
    Active:              True
    Quantity Used:       1
    Service Level:       Premium
    Service Type:        L1-L3
    Status Details:      Subscription is current
    Subscription Type:   Standard
    Starts:              01/05/2016
    Ends:                01/04/2017
    System Type:         Physical
     
    Subscription Name:   Internal Shadow Sku CDK Entitlement
    Provides:            Oracle Java (for RHEL Server)
                         Red Hat Enterprise Linux High Performance Networking (for RHEL Compute Node)
                         Red Hat Enterprise Linux Server - Extended Update Support
                         Red Hat EUCJP Support (for RHEL Server)
                         Red Hat Enterprise Linux Server
                         Red Hat Enterprise Linux Atomic Host
                         Oracle Java (for RHEL Server) - Extended Update Support
                         Red Hat Enterprise Linux Resilient Storage (for RHEL Server) - Extended Update Support
                         Red Hat Beta
                         Red Hat Software Collections (for RHEL Server)
                         Red Hat Enterprise Linux Resilient Storage (for RHEL Server)
                         Red Hat Enterprise Linux High Availability (for RHEL Server) - Extended Update Support
                         Red Hat Enterprise Linux Atomic Host Beta
                         Red Hat Enterprise MRG Messaging 3 for RHEL 7
                         Red Hat Developer Toolset (for RHEL Server)
                         Red Hat Enterprise Linux Scalable File System (for RHEL Server) - Extended Update Support
                         Red Hat Enterprise Linux Scalable File System (for RHEL Server)
                         Red Hat Enterprise Linux Load Balancer (for RHEL Server) - Extended Update Support
                         Red Hat Enterprise Linux for Real Time
                         Red Hat Enterprise Linux Load Balancer (for RHEL Server)
                         Red Hat Enterprise Linux High Performance Networking (for RHEL Server)
                         Red Hat Enterprise Linux High Availability (for RHEL Server)
                         Red Hat Container Development Kit
    SKU:                 MCT3295
    Contract:            
    Account:            
    Serial:              9089867577018119433                -------> notice that serial number is changed
    Pool ID:             8a99f9845239b8eb01523ff312700c0c
    Provides Management: No
    Active:              True
    Quantity Used:       1
    Service Level:       Self-Support
    Service Type:        
    Status Details:      Subscription is current
    Subscription Type:   Standard
    Starts:              01/14/2016
    Ends:                01/15/2016
    System Type:         Physical
     
    -bash-4.2$
     
     
   

Actual results:


Expected results:


Additional info:
Comment 1 Michael Stead 2016-01-14 08:25:18 EST
Looking into this now. I believe I have found the issue. Standard bind and auto-attach share some of the same code. On a standard bind operation (via pool id), we do not bypass the CDK auto-attach functionality.

Looking into a fix for this now.
Comment 2 Shwetha Kallesh 2016-01-14 08:26:31 EST
   
    -bash-4.2$ sudo tail -f /var/log/rhsm/rhsm.log
    2016-01-14 06:47:27,961 [DEBUG] subscription-manager:6221 @base_action_client.py:85 - running lib: <subscription_manager.entcertlib.EntCertActionInvoker object at 0x2baeb10>
    2016-01-14 06:47:27,982 [DEBUG] subscription-manager:6221 @connection.py:475 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem
    2016-01-14 06:47:27,982 [DEBUG] subscription-manager:6221 @connection.py:523 - Making request: GET /subscription/consumers/46cd6ec2-d5ef-4974-a107-454100b6faea/certificates/serials
    2016-01-14 06:47:28,599 [DEBUG] subscription-manager:6221 @connection.py:555 - Response: status=200, requestUuid=c6420680-7b5e-4031-902b-f5e29e41995e
    2016-01-14 06:47:28,599 [INFO] subscription-manager:6221 @entcertlib.py:131 - certs updated:
    Total updates: 0
    Found (local) serial# [2807238372955047060L]
    Expected (UEP) serial# [2807238372955047060]
    Added (new)
      <NONE>
    Deleted (rogue):
      <NONE>
    2016-01-14 06:47:28,601 [DEBUG] subscription-manager:6221 @base_action_client.py:85 - running lib: <subscription_manager.identitycertlib.IdentityCertActionInvoker object at 0x2baee10>
    2016-01-14 06:47:28,602 [DEBUG] subscription-manager:6221 @connection.py:475 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem
    2016-01-14 06:47:28,602 [DEBUG] subscription-manager:6221 @connection.py:523 - Making request: GET /subscription/consumers/46cd6ec2-d5ef-4974-a107-454100b6faea
    2016-01-14 06:47:30,569 [DEBUG] subscription-manager:6221 @connection.py:555 - Response: status=200, requestUuid=468fd9d7-af7a-4c75-ad24-837de4e3c557
    2016-01-14 06:47:30,572 [DEBUG] subscription-manager:6221 @base_action_client.py:85 - running lib: <subscription_manager.content_action_client.ContentActionClient object at 0x2baeb50>
    2016-01-14 06:47:30,572 [DEBUG] subscription-manager:6221 @base_action_client.py:85 - running lib: <subscription_manager.repolib.RepoActionInvoker object at 0x2baef90>
    2016-01-14 06:47:30,591 [DEBUG] subscription-manager:6221 @connection.py:475 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem
    2016-01-14 06:47:30,592 [DEBUG] subscription-manager:6221 @connection.py:523 - Making request: GET /subscription/
    2016-01-14 06:47:31,013 [DEBUG] subscription-manager:6221 @connection.py:555 - Response: status=200
    2016-01-14 06:47:31,015 [DEBUG] subscription-manager:6221 @connection.py:795 - Server supports the following resources: {'': '/', 'guestids': '/consumers/{consumer_uuid}/guestids', 'cdn': '/cdn', 'content_overrides': '/consumers/{consumer_uuid}/content_overrides', 'hypervisors': '/hypervisors', 'serials': '/serials', 'deleted_consumers': '/deleted_consumers', 'consumers': '/consumers', 'migrations': '/migrations', 'content': '/content', 'entitlements': '/entitlements', 'events': '/events', 'status': '/status', 'jobs': '/jobs', 'users': '/users', 'subscriptions': '/subscriptions', 'rules': '/rules', 'distributor_versions': '/distributor_versions', 'consumertypes': '/consumertypes', 'statistics/generate': '/statistics/generate', 'pools': '/pools', 'atom': '/atom', 'packages': '/consumers/{consumer_uuid}/packages', 'owners': '/owners', 'roles': '/roles', 'admin': '/admin', 'products': '/products', 'activation_keys': '/activation_keys', 'crl': '/crl'}
    2016-01-14 06:47:31,015 [DEBUG] subscription-manager:6221 @connection.py:475 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem
    2016-01-14 06:47:31,016 [DEBUG] subscription-manager:6221 @connection.py:523 - Making request: GET /subscription/consumers/46cd6ec2-d5ef-4974-a107-454100b6faea/content_overrides
    2016-01-14 06:47:31,521 [DEBUG] subscription-manager:6221 @connection.py:555 - Response: status=200, requestUuid=87802b6e-a98e-4d1a-8e86-b1a01ce07017
    2016-01-14 06:47:31,523 [DEBUG] subscription-manager:6221 @cache.py:110 - Wrote cache: /var/lib/rhsm/cache/content_overrides.json
    2016-01-14 06:47:31,523 [DEBUG] subscription-manager:6221 @cache.py:273 - Started thread to write cache: /var/lib/rhsm/cache/content_overrides.json
    2016-01-14 06:47:31,588 [DEBUG] subscription-manager:6221 @__init__.py:85 - Searching for content of type: yum
    2016-01-14 06:47:31,590 [DEBUG] subscription-manager:6221 @connection.py:475 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem
    2016-01-14 06:47:31,591 [DEBUG] subscription-manager:6221 @connection.py:523 - Making request: GET /subscription/consumers/46cd6ec2-d5ef-4974-a107-454100b6faea/release
    2016-01-14 06:47:32,092 [DEBUG] subscription-manager:6221 @connection.py:555 - Response: status=200, requestUuid=daaddcef-5159-451e-830d-e24d4424a0b7
    2016-01-14 06:47:32,094 [DEBUG] subscription-manager:6221 @cache.py:273 - Started thread to write cache: /var/lib/rhsm/cache/releasever.json
    2016-01-14 06:47:32,281 [DEBUG] subscription-manager:6221 @cache.py:110 - Wrote cache: /var/lib/rhsm/cache/releasever.json
    2016-01-14 06:47:32,494 [DEBUG] subscription-manager:6221 @cache.py:110 - Wrote cache: /var/lib/rhsm/cache/written_overrides.json
    2016-01-14 06:47:32,495 [INFO] subscription-manager:6221 @repolib.py:296 - repos updated: Repo updates
     
    Total repo updates: 135
    Updated
        [id:rhel-7-server-satellite-tools-6.2-rpms Red Hat Satellite Tools 6.2 (for RHEL 7 Server) (RPMs)]
        [id:rhel-7-server-v2vwin-1-debug-rpms Red Hat Virt V2V Tool for RHEL 7 (Debug RPMs)]
        [id:rhel-rs-for-rhel-7-server-fastrack-debug-rpms Red Hat Enterprise Linux Resilient Storage (for RHEL 7 Server) - Fastrack (Debug RPMs)]
        [id:rhel-7-server-mrg-messaging-3-rpms Red Hat Enterprise MRG Messaging 3 for RHEL 7 (RPMs)]
        [id:rhel-server-rhscl-7-eus-source-rpms Red Hat Software Collections Source RPMs for Red Hat Enterprise Linux 7 RHEL 7 Server EUS]
        [id:rhel-7-server-eus-rh-common-rpms Red Hat Enterprise Linux 7 Server - Extended Update Support - RH Common (RPMs)]
        [id:rhel-ha-for-rhel-7-server-fastrack-rpms Red Hat Enterprise Linux High Availability (for RHEL 7 Server) - Fastrack (RPMs)]
        [id:rhel-rs-for-rhel-7-server-eus-rpms Red Hat Enterprise Linux Resilient Storage (for RHEL 7 Server) - Extended Update Support (RPMs)]
        [id:rhel-7-server-eus-debug-rpms Red Hat Enterprise Linux 7 Server - Extended Update Support (Debug RPMs)]
        [id:rhel-7-server-extras-rpms Red Hat Enterprise Linux 7 Server - Extras (RPMs)]
        [id:rhel-7-server-rh-common-debug-rpms Red Hat Enterprise Linux 7 Server - RH Common (Debug RPMs)]
        [id:rhel-atomic-host-beta-debug-rpms Red Hat Enterprise Linux Atomic Host Beta (Debug RPMs)]
        [id:rhel-7-server-rhn-tools-beta-rpms RHN Tools for Red Hat Enterprise Linux 7 Server Beta (RPMs)]
        [id:rhel-7-server-supplementary-debug-rpms Red Hat Enterprise Linux 7 Server - Supplementary (Debug RPMs)]
        [id:rhel-7-server-satellite-tools-6.1-debug-rpms Red Hat Satellite Tools 6.1 (for RHEL 7 Server) (Debug RPMs)]
        [id:rhel-7-server-eus-satellite-tools-6.1-debug-rpms Red Hat Satellite Tools 6.1 (for RHEL 7 Server - EUS) (Debug RPMs)]
        [id:rhel-7-server-mrg-messaging-3-source-rpms Red Hat Enterprise MRG Messaging 3 for RHEL 7 (Source RPMs)]
        [id:rhel-7-server-eus-source-rpms Red Hat Enterprise Linux 7 Server - Extended Update Support (Source RPMs)]
        [id:rhel-7-server-openstack-7.0-tools-rpms Red Hat OpenStack Tools 7.0 for Red Hat Enterprise Linux 7 Server (RPMs)]
        [id:rhel-ha-for-rhel-7-server-eus-debug-rpms Red Hat Enterprise Linux High Availability (for RHEL 7 Server) - Extended Update Support (Debug RPMs)]
        [id:rhel-7-server-optional-beta-debug-rpms Red Hat Enterprise Linux 7 Server - Optional Beta (Debug RPMs)]
        [id:rhel-rs-for-rhel-7-server-source-rpms Red Hat Enterprise Linux Resilient Storage (for RHEL 7 Server) (Source RPMs)]
        [id:rh-gluster-3-client-for-rhel-7-server-debug-rpms Red Hat Storage Native Client for RHEL 7 (Debug RPMs)]
        [id:rhel-7-server-optional-fastrack-debug-rpms Red Hat Enterprise Linux 7 Server - Optional Fastrack (Debug RPMs)]
        [id:rhel-7-server-satellite-tools-6.2-source-rpms Red Hat Satellite Tools 6.2 (for RHEL 7 Server) (Source RPMs)]
        [id:rhel-rs-for-rhel-7-server-eus-source-rpms Red Hat Enterprise Linux Resilient Storage (for RHEL 7 Server) - Extended Update Support (Source RPMs)]
        [id:rhel-7-server-eus-rh-common-debug-rpms Red Hat Enterprise Linux 7 Server - Extended Update Support - RH Common (Debug RPMs)]
        [id:rhel-ha-for-rhel-7-server-fastrack-debug-rpms Red Hat Enterprise Linux High Availability (for RHEL 7 Server) - Fastrack (Debug RPMs)]
        [id:rhel-atomic-host-debug-rpms Red Hat Enterprise Linux Atomic Host (Debug RPMs)]
        [id:rhel-ha-for-rhel-7-server-eus-rpms Red Hat Enterprise Linux High Availability (for RHEL 7 Server) - Extended Update Support (RPMs)]
        [id:rhel-7-server-satellite-tools-6.2-debug-rpms Red Hat Satellite Tools 6.2 (for RHEL 7 Server) (Debug RPMs)]
        [id:rhel-7-server-eus-satellite-tools-6.1-source-rpms Red Hat Satellite Tools 6.1 (for RHEL 7 Server - EUS) (Source RPMs)]
        [id:rhel-7-server-supplementary-beta-source-rpms Red Hat Enterprise Linux 7 Server - Supplementary Beta (Source RPMs)]
        [id:rhel-7-server-rt-beta-debug-rpms Red Hat Enterprise Linux for Real Time Beta (RHEL 7 Server) (Debug RPMs)]
        [id:rhel-7-server-satellite-tools-6-beta-source-rpms Red Hat Satellite Tools 6 Beta (for RHEL 7 Server) (Source RPMs)]
        [id:rhel-7-server-thirdparty-oracle-java-source-rpms Red Hat Enterprise Linux 7 Server - Oracle Java (Source RPMs)]
        [id:rhel-7-server-eus-rpms Red Hat Enterprise Linux 7 Server - Extended Update Support (RPMs)]
        [id:rhel-7-server-thirdparty-oracle-java-beta-source-rpms Red Hat Enterprise Linux 7 Server - Oracle Java Beta (Source RPMs)]
        [id:rhel-7-server-rt-beta-source-rpms Red Hat Enterprise Linux for Real Time Beta (RHEL 7 Server) (Source RPMs)]
        [id:rhel-7-server-beta-rpms Red Hat Enterprise Linux 7 Server Beta (RPMs)]
        [id:rhel-7-server-optional-debug-rpms Red Hat Enterprise Linux 7 Server - Optional (Debug RPMs)]
        [id:rhel-7-server-eus-supplementary-source-rpms Red Hat Enterprise Linux 7 Server - Extended Update Support - Supplementary (Source RPMs)]
        [id:rhel-ha-for-rhel-7-server-source-rpms Red Hat Enterprise Linux High Availability (for RHEL 7 Server) (Source RPMs)]
        [id:rhel-7-server-rhceph-1.3-tools-debug-rpms Red Hat Ceph Storage Tools 1.3 for Red Hat Enterprise Linux 7 Server (Debug RPMs)]
        [id:rhel-ha-for-rhel-7-server-eus-source-rpms Red Hat Enterprise Linux High Availability (for RHEL 7 Server) - Extended Update Support (Source RPMs)]
        [id:rhel-server-rhscl-7-eus-debug-rpms Red Hat Software Collections Debug RPMs for Red Hat Enterprise Linux 7 RHEL 7 Server EUS]
        [id:rhel-7-server-eus-satellite-tools-6.2-source-rpms Red Hat Satellite Tools 6.2 (for RHEL 7 Server - EUS) (Source RPMs)]
        [id:rhel-7-server-eus-optional-debug-rpms Red Hat Enterprise Linux 7 Server - Extended Update Support - Optional (Debug RPMs)]
        [id:rhel-server-rhscl-7-rpms Red Hat Software Collections RPMs for Red Hat Enterprise Linux 7 Server]
        [id:rhel-7-server-rt-beta-rpms Red Hat Enterprise Linux for Real Time Beta (RHEL 7 Server) (RPMs)]
        [id:rhel-7-server-eus-satellite-tools-6.2-debug-rpms Red Hat Satellite Tools 6.2 (for RHEL 7 Server - EUS) (Debug RPMs)]
        [id:rhel-7-server-rhn-tools-rpms RHN Tools for Red Hat Enterprise Linux 7 Server (RPMs)]
        [id:rhel-rs-for-rhel-7-server-debug-rpms Red Hat Enterprise Linux Resilient Storage (for RHEL 7 Server) (Debug RPMs)]
        [id:rhel-rs-for-rhel-7-server-fastrack-rpms Red Hat Enterprise Linux Resilient Storage (for RHEL 7 Server) - Fastrack (RPMs)]
        [id:rhel-7-server-rhceph-1.3-tools-source-rpms Red Hat Ceph Storage Tools 1.3 for Red Hat Enterprise Linux 7 Server (Source RPMs)]
        [id:rhel-7-server-thirdparty-oracle-java-rpms Red Hat Enterprise Linux 7 Server - Oracle Java (RPMs)]
        [id:rhel-7-server-fastrack-rpms Red Hat Enterprise Linux 7 Server - Fastrack (RPMs)]
        [id:rhel-7-server-eus-satellite-tools-6.2-rpms Red Hat Satellite Tools 6.2 (for RHEL 7 Server - EUS) (RPMs)]
        [id:rhel-7-server-optional-fastrack-rpms Red Hat Enterprise Linux 7 Server - Optional Fastrack (RPMs)]
        [id:rhel-7-server-thirdparty-oracle-java-beta-rpms Red Hat Enterprise Linux 7 Server - Oracle Java Beta (RPMs)]
        [id:rhel-atomic-host-rpms Red Hat Enterprise Linux Atomic Host (RPMs)]
        [id:rhel-7-server-eus-rhn-tools-source-rpms RHN Tools for Red Hat Enterprise Linux 7 Server - Extended Update Support (Source RPMs)]
        [id:rhel-7-server-rhn-tools-beta-source-rpms RHN Tools for Red Hat Enterprise Linux 7 Server Beta (Source RPMs)]
        [id:rhel-7-server-source-rpms Red Hat Enterprise Linux 7 Server (Source RPMs)]
        [id:rhel-7-server-extras-source-rpms Red Hat Enterprise Linux 7 Server - Extras (Source RPMs)]
        [id:rhel-7-server-openstack-7.0-tools-debug-rpms Red Hat OpenStack Tools 7.0 for Red Hat Enterprise Linux 7 Server (Debug RPMs)]
        [id:rhel-7-server-mrg-messaging-3-debug-rpms Red Hat Enterprise MRG Messaging 3 for RHEL 7 (Debug RPMs)]
        [id:rhel-atomic-host-source-rpms Red Hat Enterprise Linux Atomic Host (Source RPMs)]
        [id:rhel-atomic-host-beta-rpms Red Hat Enterprise Linux Atomic Host Beta (RPMs)]
        [id:rhel-7-server-eus-rh-common-source-rpms Red Hat Enterprise Linux 7 Server - Extended Update Support - RH Common (Source RPMs)]
        [id:rhel-rs-for-rhel-7-server-beta-debug-rpms Red Hat Enterprise Linux Resilient Storage (for RHEL 7 Server) Beta (Debug RPMs)]
        [id:rhel-7-server-fastrack-debug-rpms Red Hat Enterprise Linux 7 Server - Fastrack (Debug RPMs)]
        [id:rhel-rs-for-rhel-7-server-rpms Red Hat Enterprise Linux Resilient Storage (for RHEL 7 Server) (RPMs)]
        [id:rhel-atomic-host-beta-source-rpms Red Hat Enterprise Linux Atomic Host Beta (Source RPMs)]
        [id:rhel-7-server-optional-source-rpms Red Hat Enterprise Linux 7 Server - Optional (Source RPMs)]
        [id:rhel-7-server-rhn-tools-beta-debug-rpms RHN Tools for Red Hat Enterprise Linux 7 Server Beta (Debug RPMs)]
        [id:rhel-ha-for-rhel-7-server-fastrack-source-rpms Red Hat Enterprise Linux High Availability (for RHEL 7 Server) - Fastrack (Source RPMs)]
        [id:rhel-7-server-beta-source-rpms Red Hat Enterprise Linux 7 Server Beta (Source RPMs)]
        [id:rhel-7-server-eus-satellite-tools-6.1-rpms Red Hat Satellite Tools 6.1 (for RHEL 7 Server - EUS) (RPMs)]
        [id:rhel-rs-for-rhel-7-server-beta-source-rpms Red Hat Enterprise Linux Resilient Storage (for RHEL 7 Server) Beta (Source RPMs)]
        [id:rhel-7-server-v2vwin-1-rpms Red Hat Virt V2V Tool for RHEL 7 (RPMs)]
        [id:rhel-rs-for-rhel-7-server-eus-debug-rpms Red Hat Enterprise Linux Resilient Storage (for RHEL 7 Server) - Extended Update Support (Debug RPMs)]
        [id:rhel-7-server-rh-common-beta-rpms Red Hat Enterprise Linux 7 Server - RH Common Beta (RPMs)]
        [id:rhel-7-server-eus-optional-rpms Red Hat Enterprise Linux 7 Server - Extended Update Support - Optional (RPMs)]
        [id:rhel-server-rhscl-7-debug-rpms Red Hat Software Collections Debug RPMs for Red Hat Enterprise Linux 7 Server]
        [id:rhel-7-server-extras-debug-rpms Red Hat Enterprise Linux 7 Server - Extras (Debug RPMs)]
        [id:rhel-7-server-debug-rpms Red Hat Enterprise Linux 7 Server (Debug RPMs)]
        [id:rhel-server-rhscl-7-source-rpms Red Hat Software Collections Source RPMs for Red Hat Enterprise Linux 7 Server]
        [id:rhel-ha-for-rhel-7-server-beta-source-rpms Red Hat Enterprise Linux High Availability (for RHEL 7 Server) Beta (Source RPMs)]
        [id:rhel-7-server-rt-debug-rpms Red Hat Enterprise Linux for Real Time (RHEL 7 Server) (Debug RPMs)]
        [id:rhel-7-server-rh-common-rpms Red Hat Enterprise Linux 7 Server - RH Common (RPMs)]
        [id:rhel-7-server-satellite-tools-6.1-rpms Red Hat Satellite Tools 6.1 (for RHEL 7 Server) (RPMs)]
        [id:rhel-7-server-satellite-tools-6.1-source-rpms Red Hat Satellite Tools 6.1 (for RHEL 7 Server) (Source RPMs)]
        [id:rhel-7-server-eus-optional-source-rpms Red Hat Enterprise Linux 7 Server - Extended Update Support - Optional (Source RPMs)]
        [id:rhel-7-server-v2vwin-1-source-rpms Red Hat Virt V2V Tool for RHEL 7 (Source RPMs)]
        [id:rhel-7-server-rh-common-beta-source-rpms Red Hat Enterprise Linux 7 Server - RH Common Beta (Source RPMs)]
        [id:rhel-7-server-fastrack-source-rpms Red Hat Enterprise Linux 7 Server - Fastrack (Source RPMs)]
        [id:rhel-7-server-eus-supplementary-debuginfo Red Hat Enterprise Linux 7 Server - Extended Update Support - Supplementary (Debug RPMs)]
        [id:rhel-ha-for-rhel-7-server-rpms Red Hat Enterprise Linux High Availability (for RHEL 7 Server) (RPMs)]
        [id:rhel-7-server-supplementary-beta-rpms Red Hat Enterprise Linux 7 Server - Supplementary Beta (RPMs)]
        [id:rhel-7-server-optional-beta-source-rpms Red Hat Enterprise Linux 7 Server - Optional Beta (Source RPMs)]
        [id:rhel-7-server-eus-thirdparty-oracle-java-rpms Red Hat Enterprise Linux 7 Server - Extended Update Support - Oracle Java (RPMs)]
        [id:rhel-7-server-rh-common-source-rpms Red Hat Enterprise Linux 7 Server - RH Common (Source RPMs)]
        [id:rhel-7-server-eus-rhn-tools-debug-rpms RHN Tools for Red Hat Enterprise Linux 7 Server - Extended Update Support (Debug RPMs)]
        [id:rhel-7-server-rhn-tools-debug-rpms RHN Tools for Red Hat Enterprise Linux 7 Server (Debug RPMs)]
        [id:rhel-7-server-eus-rhn-tools-rpms RHN Tools for Red Hat Enterprise Linux 7 Server - Extended Update Support (RPMs)]
        [id:rh-gluster-3-client-for-rhel-7-server-rpms Red Hat Storage Native Client for RHEL 7 (RPMs)]
        [id:rhel-rs-for-rhel-7-server-fastrack-source-rpms Red Hat Enterprise Linux Resilient Storage (for RHEL 7 Server) - Fastrack (Source RPMs)]
        [id:rhel-7-server-rpms Red Hat Enterprise Linux 7 Server (RPMs)]
        [id:rhel-7-server-openstack-8-tools-source-rpms Red Hat OpenStack Tools 8 for Red Hat Enterprise Linux 7 Server (Source RPMs)]
        [id:rhel-server-rhscl-7-eus-rpms Red Hat Software Collections RPMs for Red Hat Enterprise Linux 7 RHEL 7 Server EUS]
        [id:rhel-7-server-supplementary-beta-debug-rpms Red Hat Enterprise Linux 7 Server - Supplementary Beta (Debug RPMs)]
        [id:rh-gluster-3-client-for-rhel-7-server-source-rpms Red Hat Storage Native Client for RHEL 7 (Source RPMs)]
        [id:rhel-7-server-rt-source-rpms Red Hat Enterprise Linux for Real Time (RHEL 7 Server) (Source RPMs)]
        [id:rhel-7-server-eus-supplementary-rpms Red Hat Enterprise Linux 7 Server - Extended Update Support - Supplementary (RPMs)]
        [id:rhel-ha-for-rhel-7-server-beta-rpms Red Hat Enterprise Linux High Availability (for RHEL 7 Server) Beta (RPMs)]
        [id:rhel-rs-for-rhel-7-server-beta-rpms Red Hat Enterprise Linux Resilient Storage (for RHEL 7 Server) Beta (RPMs)]
        [id:rhel-7-server-rh-common-beta-debug-rpms Red Hat Enterprise Linux 7 Server - RH Common Beta (Debug RPMs)]
        [id:rhel-7-server-openstack-8-tools-rpms Red Hat OpenStack Tools 8 for Red Hat Enterprise Linux 7 Server (RPMs)]
        [id:rhel-7-server-rhceph-1.3-tools-rpms Red Hat Ceph Storage Tools 1.3 for Red Hat Enterprise Linux 7 Server (RPMs)]
        [id:rhel-7-server-satellite-tools-6-beta-debug-rpms Red Hat Satellite Tools 6 Beta (for RHEL 7 Server) (Debug RPMs)]
        [id:rhel-7-server-openstack-8-tools-debug-rpms Red Hat OpenStack Tools 8 for Red Hat Enterprise Linux 7 Server (Debug RPMs)]
        [id:rhel-ha-for-rhel-7-server-beta-debug-rpms Red Hat Enterprise Linux High Availability (for RHEL 7 Server) Beta (Debug RPMs)]
        [id:rhel-ha-for-rhel-7-server-debug-rpms Red Hat Enterprise Linux High Availability (for RHEL 7 Server) (Debug RPMs)]
        [id:rhel-7-server-supplementary-rpms Red Hat Enterprise Linux 7 Server - Supplementary (RPMs)]
        [id:rhel-7-server-rt-rpms Red Hat Enterprise Linux for Real Time (RHEL 7 Server) (RPMs)]
        [id:rhel-7-server-eus-thirdparty-oracle-java-source-rpms Red Hat Enterprise Linux 7 Server - Extended Update Support - Oracle Java (Source RPMs)]
        [id:rhel-7-server-optional-rpms Red Hat Enterprise Linux 7 Server - Optional (RPMs)]
        [id:rhel-7-server-satellite-tools-6-beta-rpms Red Hat Satellite Tools 6 Beta (for RHEL 7 Server) (RPMs)]
        [id:rhel-7-server-optional-fastrack-source-rpms Red Hat Enterprise Linux 7 Server - Optional Fastrack (Source RPMs)]
        [id:rhel-7-server-rhn-tools-source-rpms RHN Tools for Red Hat Enterprise Linux 7 Server (Source RPMs)]
        [id:rhel-7-server-supplementary-source-rpms Red Hat Enterprise Linux 7 Server - Supplementary (Source RPMs)]
        [id:rhel-7-server-beta-debug-rpms Red Hat Enterprise Linux 7 Server Beta (Debug RPMs)]
        [id:rhel-7-server-openstack-7.0-tools-source-rpms Red Hat OpenStack Tools 7.0 for Red Hat Enterprise Linux 7 Server (Source RPMs)]
        [id:rhel-7-server-optional-beta-rpms Red Hat Enterprise Linux 7 Server - Optional Beta (RPMs)]
    Added (new)
        <NONE>
    Deleted
        <NONE>
    2016-01-14 06:47:32,500 [DEBUG] subscription-manager:6221 @base_action_client.py:85 - running lib: <subscription_manager.factlib.FactsActionInvoker object at 0x2baebd0>
    2016-01-14 06:47:32,521 [DEBUG] subscription-manager:6221 @hwprobe.py:554 - cpu info: {'cpu.cpu(s)': 1, 'cpu.core(s)_per_socket': 1, 'cpu.thread(s)_per_core': 1, 'cpu.topology_source': 'kernel /sys cpu sibling lists', 'cpu.cpu_socket(s)': 1}
    2016-01-14 06:47:32,527 [DEBUG] subscription-manager:6221 @hwprobe.py:772 - Running 'virt-what'
    2016-01-14 06:47:32,554 [DEBUG] subscription-manager:6221 @hwprobe.py:776 - virt-what stdout: kvm
     
    2016-01-14 06:47:32,554 [DEBUG] subscription-manager:6221 @hwprobe.py:777 - virt-what stderr:
    2016-01-14 06:47:32,562 [INFO] subscription-manager:6221 @hwprobe.py:854 - collected virt facts: virt.is_guest=True, virt.host_type=kvm, virt.uuid=EB9FF409-F07B-4512-8CB8-F5988D29775F
    2016-01-14 06:47:32,563 [INFO] subscription-manager:6221 @facts.py:139 - Loading custom facts from: /etc/rhsm/facts/cdk.facts
    2016-01-14 06:47:32,563 [DEBUG] subscription-manager:6221 @factlib.py:105 - Facts have not changed, skipping upload.
    2016-01-14 06:47:32,564 [DEBUG] subscription-manager:6221 @base_action_client.py:85 - running lib: <subscription_manager.packageprofilelib.PackageProfileActionInvoker object at 0x2baec90>
    2016-01-14 06:47:32,564 [DEBUG] subscription-manager:6221 @cache.py:138 - Checking current system info against cache: /var/lib/rhsm/packages/packages.json
    2016-01-14 06:47:32,564 [DEBUG] subscription-manager:6221 @profile.py:84 - Loading RPM profile from file.
    2016-01-14 06:47:32,571 [DEBUG] subscription-manager:6221 @profile.py:97 - Loading current RPM profile.
    2016-01-14 06:47:32,746 [DEBUG] subscription-manager:6221 @cache.py:155 - No changes.
    2016-01-14 06:47:32,746 [DEBUG] subscription-manager:6221 @base_action_client.py:85 - running lib: <subscription_manager.installedproductslib.InstalledProductsActionInvoker object at 0x2baed50>
    2016-01-14 06:47:32,746 [DEBUG] subscription-manager:6221 @cache.py:138 - Checking current system info against cache: /var/lib/rhsm/cache/installed_products.json
    2016-01-14 06:47:32,747 [DEBUG] subscription-manager:6221 @cache.py:155 - No changes.
    2016-01-14 06:47:32,748 [DEBUG] subscription-manager:6221 @connection.py:475 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem
    2016-01-14 06:47:32,749 [DEBUG] subscription-manager:6221 @connection.py:523 - Making request: POST /subscription/consumers/46cd6ec2-d5ef-4974-a107-454100b6faea/entitlements?pool=8a99f9835210f0f8015217dab19c33cd
    2016-01-14 06:47:36,635 [DEBUG] subscription-manager:6221 @connection.py:555 - Response: status=200, requestUuid=f538f300-11e3-478f-8e05-b6feaecfd6e6
    2016-01-14 06:47:36,640 [INFO] subscription-manager:6221 @managercli.py:1501 - Successfully attached a subscription for: Red Hat Desktop (Satellite Starter Pack) (50 Entitlements) (8a99f9835210f0f8015217dab19c33cd)
    2016-01-14 06:47:36,660 [DEBUG] subscription-manager:6221 @connection.py:475 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem
    2016-01-14 06:47:36,660 [DEBUG] subscription-manager:6221 @connection.py:523 - Making request: GET /subscription/consumers/46cd6ec2-d5ef-4974-a107-454100b6faea/certificates/serials
    2016-01-14 06:47:37,793 [DEBUG] subscription-manager:6221 @connection.py:555 - Response: status=200, requestUuid=86ad7a77-c592-4bda-83e4-0c58a07b6931
    2016-01-14 06:47:37,795 [DEBUG] subscription-manager:6221 @connection.py:475 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem
    2016-01-14 06:47:37,795 [DEBUG] subscription-manager:6221 @connection.py:523 - Making request: GET /subscription/consumers/46cd6ec2-d5ef-4974-a107-454100b6faea/certificates?serials=9089867577018119433,3748373759371541284
    2016-01-14 06:47:38,521 [DEBUG] subscription-manager:6221 @connection.py:555 - Response: status=200, requestUuid=ffa3880c-3864-4bee-b665-f791d2b20041
    2016-01-14 06:47:38,523 [DEBUG] subscription-manager:6221 @entcertlib.py:351 - Ent cert bundle pre_install
    2016-01-14 06:47:38,542 [DEBUG] subscription-manager:6221 @entcertlib.py:373 - ent cert bundle post_install
    2016-01-14 06:47:38,542 [DEBUG] subscription-manager:6221 @entcertlib.py:351 - Ent cert bundle pre_install
    2016-01-14 06:47:38,560 [DEBUG] subscription-manager:6221 @entcertlib.py:373 - ent cert bundle post_install
    2016-01-14 06:47:38,560 [DEBUG] subscription-manager:6221 @entcertlib.py:305 - cert bundles post_install: <rhsm.certificate2.EntitlementCertificate object at 0x39ff390>
    2016-01-14 06:47:38,561 [DEBUG] subscription-manager:6221 @entcertlib.py:305 - cert bundles post_install: <rhsm.certificate2.EntitlementCertificate object at 0x3bbea50>
    2016-01-14 06:47:38,561 [INFO] subscription-manager:6221 @entcertlib.py:131 - certs updated:
    Total updates: 3
    Found (local) serial# [2807238372955047060L]
    Expected (UEP) serial# [9089867577018119433, 3748373759371541284]
    Added (new)
      [sn:9089867577018119433 (Oracle Java (for RHEL Server),) @ /etc/pki/entitlement/9089867577018119433.pem]
      [sn:9089867577018119433 (Red Hat Enterprise Linux High Performance Networking (for RHEL Compute Node),) @ /etc/pki/entitlement/9089867577018119433.pem]
      [sn:9089867577018119433 (Red Hat Enterprise Linux Server - Extended Update Support,) @ /etc/pki/entitlement/9089867577018119433.pem]
      [sn:9089867577018119433 (Red Hat EUCJP Support (for RHEL Server),) @ /etc/pki/entitlement/9089867577018119433.pem]
      [sn:9089867577018119433 (Red Hat Enterprise Linux Server,) @ /etc/pki/entitlement/9089867577018119433.pem]
      [sn:9089867577018119433 (Red Hat Enterprise Linux Atomic Host,) @ /etc/pki/entitlement/9089867577018119433.pem]
      [sn:9089867577018119433 (Oracle Java (for RHEL Server) - Extended Update Support,) @ /etc/pki/entitlement/9089867577018119433.pem]
      [sn:9089867577018119433 (Red Hat Enterprise Linux Resilient Storage (for RHEL Server) - Extended Update Support,) @ /etc/pki/entitlement/9089867577018119433.pem]
      [sn:9089867577018119433 (Red Hat Beta,) @ /etc/pki/entitlement/9089867577018119433.pem]
      [sn:9089867577018119433 (Red Hat Software Collections (for RHEL Server),) @ /etc/pki/entitlement/9089867577018119433.pem]
      [sn:9089867577018119433 (Red Hat Enterprise Linux Resilient Storage (for RHEL Server),) @ /etc/pki/entitlement/9089867577018119433.pem]
      [sn:9089867577018119433 (Red Hat Enterprise Linux High Availability (for RHEL Server) - Extended Update Support,) @ /etc/pki/entitlement/9089867577018119433.pem]
      [sn:9089867577018119433 (Red Hat Enterprise Linux Atomic Host Beta,) @ /etc/pki/entitlement/9089867577018119433.pem]
      [sn:9089867577018119433 (Red Hat Enterprise MRG Messaging 3 for RHEL 7,) @ /etc/pki/entitlement/9089867577018119433.pem]
      [sn:9089867577018119433 (Red Hat Developer Toolset (for RHEL Server),) @ /etc/pki/entitlement/9089867577018119433.pem]
      [sn:9089867577018119433 (Red Hat Enterprise Linux Scalable File System (for RHEL Server) - Extended Update Support,) @ /etc/pki/entitlement/9089867577018119433.pem]
      [sn:9089867577018119433 (Red Hat Enterprise Linux Scalable File System (for RHEL Server),) @ /etc/pki/entitlement/9089867577018119433.pem]
      [sn:9089867577018119433 (Red Hat Enterprise Linux Load Balancer (for RHEL Server) - Extended Update Support,) @ /etc/pki/entitlement/9089867577018119433.pem]
      [sn:9089867577018119433 (Red Hat Enterprise Linux for Real Time,) @ /etc/pki/entitlement/9089867577018119433.pem]
      [sn:9089867577018119433 (Red Hat Enterprise Linux Load Balancer (for RHEL Server),) @ /etc/pki/entitlement/9089867577018119433.pem]
      [sn:9089867577018119433 (Red Hat Enterprise Linux High Performance Networking (for RHEL Server),) @ /etc/pki/entitlement/9089867577018119433.pem]
      [sn:9089867577018119433 (Red Hat Enterprise Linux High Availability (for RHEL Server),) @ /etc/pki/entitlement/9089867577018119433.pem]
      [sn:9089867577018119433 (Red Hat Container Development Kit,) @ /etc/pki/entitlement/9089867577018119433.pem]
      [sn:3748373759371541284 (Red Hat Satellite,) @ /etc/pki/entitlement/3748373759371541284.pem]
      [sn:3748373759371541284 (Red Hat Enterprise Linux Desktop,) @ /etc/pki/entitlement/3748373759371541284.pem]
      [sn:3748373759371541284 (Red Hat Enterprise Linux Server,) @ /etc/pki/entitlement/3748373759371541284.pem]
      [sn:3748373759371541284 (Red Hat Software Collections (for RHEL Server),) @ /etc/pki/entitlement/3748373759371541284.pem]
      [sn:3748373759371541284 (Red Hat Beta,) @ /etc/pki/entitlement/3748373759371541284.pem]
      [sn:3748373759371541284 (Red Hat Satellite Beta,) @ /etc/pki/entitlement/3748373759371541284.pem]
      [sn:3748373759371541284 (Red Hat Software Collections (for RHEL Workstation),) @ /etc/pki/entitlement/3748373759371541284.pem]
      [sn:3748373759371541284 (Red Hat Software Collections Beta (for RHEL Server),) @ /etc/pki/entitlement/3748373759371541284.pem]
      [sn:3748373759371541284 (Red Hat Satellite 6 Beta,) @ /etc/pki/entitlement/3748373759371541284.pem]
      [sn:3748373759371541284 (Red Hat Satellite Capsule Beta,) @ /etc/pki/entitlement/3748373759371541284.pem]
      [sn:3748373759371541284 (Red Hat Enterprise Linux Load Balancer (for RHEL Server),) @ /etc/pki/entitlement/3748373759371541284.pem]
      [sn:3748373759371541284 (Red Hat Software Collections Beta (for RHEL Workstation),) @ /etc/pki/entitlement/3748373759371541284.pem]
      [sn:3748373759371541284 (Red Hat Satellite with Embedded Oracle,) @ /etc/pki/entitlement/3748373759371541284.pem]
      [sn:3748373759371541284 (Red Hat Satellite Capsule,) @ /etc/pki/entitlement/3748373759371541284.pem]
      [sn:3748373759371541284 (Red Hat Enterprise Linux High Availability (for RHEL Server),) @ /etc/pki/entitlement/3748373759371541284.pem]
    Deleted (rogue):
      [sn:2807238372955047060 (Oracle Java (for RHEL Server),) @ /etc/pki/entitlement/2807238372955047060.pem]
      [sn:2807238372955047060 (Red Hat Enterprise Linux High Performance Networking (for RHEL Compute Node),) @ /etc/pki/entitlement/2807238372955047060.pem]
      [sn:2807238372955047060 (Red Hat Enterprise Linux Server - Extended Update Support,) @ /etc/pki/entitlement/2807238372955047060.pem]
      [sn:2807238372955047060 (Red Hat EUCJP Support (for RHEL Server),) @ /etc/pki/entitlement/2807238372955047060.pem]
      [sn:2807238372955047060 (Red Hat Enterprise Linux Server,) @ /etc/pki/entitlement/2807238372955047060.pem]
      [sn:2807238372955047060 (Red Hat Enterprise Linux Atomic Host,) @ /etc/pki/entitlement/2807238372955047060.pem]
      [sn:2807238372955047060 (Oracle Java (for RHEL Server) - Extended Update Support,) @ /etc/pki/entitlement/2807238372955047060.pem]
      [sn:2807238372955047060 (Red Hat Enterprise Linux Resilient Storage (for RHEL Server) - Extended Update Support,) @ /etc/pki/entitlement/2807238372955047060.pem]
      [sn:2807238372955047060 (Red Hat Beta,) @ /etc/pki/entitlement/2807238372955047060.pem]
      [sn:2807238372955047060 (Red Hat Software Collections (for RHEL Server),) @ /etc/pki/entitlement/2807238372955047060.pem]
      [sn:2807238372955047060 (Red Hat Enterprise Linux Resilient Storage (for RHEL Server),) @ /etc/pki/entitlement/2807238372955047060.pem]
      [sn:2807238372955047060 (Red Hat Enterprise Linux High Availability (for RHEL Server) - Extended Update Support,) @ /etc/pki/entitlement/2807238372955047060.pem]
      [sn:2807238372955047060 (Red Hat Enterprise Linux Atomic Host Beta,) @ /etc/pki/entitlement/2807238372955047060.pem]
      [sn:2807238372955047060 (Red Hat Enterprise MRG Messaging 3 for RHEL 7,) @ /etc/pki/entitlement/2807238372955047060.pem]
      [sn:2807238372955047060 (Red Hat Developer Toolset (for RHEL Server),) @ /etc/pki/entitlement/2807238372955047060.pem]
      [sn:2807238372955047060 (Red Hat Enterprise Linux Scalable File System (for RHEL Server) - Extended Update Support,) @ /etc/pki/entitlement/2807238372955047060.pem]
      [sn:2807238372955047060 (Red Hat Enterprise Linux Scalable File System (for RHEL Server),) @ /etc/pki/entitlement/2807238372955047060.pem]
      [sn:2807238372955047060 (Red Hat Enterprise Linux Load Balancer (for RHEL Server) - Extended Update Support,) @ /etc/pki/entitlement/2807238372955047060.pem]
      [sn:2807238372955047060 (Red Hat Enterprise Linux for Real Time,) @ /etc/pki/entitlement/2807238372955047060.pem]
      [sn:2807238372955047060 (Red Hat Enterprise Linux Load Balancer (for RHEL Server),) @ /etc/pki/entitlement/2807238372955047060.pem]
      [sn:2807238372955047060 (Red Hat Enterprise Linux High Performance Networking (for RHEL Server),) @ /etc/pki/entitlement/2807238372955047060.pem]
      [sn:2807238372955047060 (Red Hat Enterprise Linux High Availability (for RHEL Server),) @ /etc/pki/entitlement/2807238372955047060.pem]
      [sn:2807238372955047060 (Red Hat Container Development Kit,) @ /etc/pki/entitlement/2807238372955047060.pem]
    2016-01-14 06:47:38,577 [DEBUG] subscription-manager:6221 @entcertlib.py:173 - entcerlibaction.repo_hook
    2016-01-14 06:47:38,577 [DEBUG] subscription-manager:6221 @base_action_client.py:85 - running lib: <subscription_manager.repolib.RepoActionInvoker object at 0x2bb74d0>
    2016-01-14 06:47:38,655 [DEBUG] subscription-manager:6221 @connection.py:475 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem
    2016-01-14 06:47:38,655 [DEBUG] subscription-manager:6221 @connection.py:523 - Making request: GET /subscription/consumers/46cd6ec2-d5ef-4974-a107-454100b6faea/content_overrides
    2016-01-14 06:47:39,230 [DEBUG] subscription-manager:6221 @connection.py:555 - Response: status=200, requestUuid=150434dd-ae26-4560-bff6-964776410036
    2016-01-14 06:47:39,231 [DEBUG] subscription-manager:6221 @cache.py:110 - Wrote cache: /var/lib/rhsm/cache/content_overrides.json
    2016-01-14 06:47:39,232 [DEBUG] subscription-manager:6221 @cache.py:273 - Started thread to write cache: /var/lib/rhsm/cache/content_overrides.json
    2016-01-14 06:47:39,296 [DEBUG] subscription-manager:6221 @__init__.py:85 - Searching for content of type: yum
    2016-01-14 06:47:39,299 [DEBUG] subscription-manager:6221 @connection.py:475 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem
    2016-01-14 06:47:39,300 [DEBUG] subscription-manager:6221 @connection.py:523 - Making request: GET /subscription/consumers/46cd6ec2-d5ef-4974-a107-454100b6faea/release
    2016-01-14 06:47:39,793 [DEBUG] subscription-manager:6221 @connection.py:555 - Response: status=200, requestUuid=9fbe7624-3451-41d8-abf8-cff1f3f48ded
    2016-01-14 06:47:39,794 [DEBUG] subscription-manager:6221 @cache.py:110 - Wrote cache: /var/lib/rhsm/cache/releasever.json
    2016-01-14 06:47:39,795 [DEBUG] subscription-manager:6221 @cache.py:273 - Started thread to write cache: /var/lib/rhsm/cache/releasever.json
    2016-01-14 06:47:40,166 [DEBUG] subscription-manager:6221 @cache.py:110 - Wrote cache: /var/lib/rhsm/cache/written_overrides.json
    2016-01-14 06:47:40,168 [INFO] subscription-manager:6221 @repolib.py:296 - repos updated: Repo updates
     
    Total repo updates: 168
    Updated
        [id:rhel-7-server-satellite-tools-6.2-rpms Red Hat Satellite Tools 6.2 (for RHEL 7 Server) (RPMs)]
        [id:rhel-7-server-v2vwin-1-debug-rpms Red Hat Virt V2V Tool for RHEL 7 (Debug RPMs)]
        [id:rhel-rs-for-rhel-7-server-fastrack-debug-rpms Red Hat Enterprise Linux Resilient Storage (for RHEL 7 Server) - Fastrack (Debug RPMs)]
        [id:rhel-7-server-mrg-messaging-3-rpms Red Hat Enterprise MRG Messaging 3 for RHEL 7 (RPMs)]
        [id:rhel-server-rhscl-7-eus-source-rpms Red Hat Software Collections Source RPMs for Red Hat Enterprise Linux 7 RHEL 7 Server EUS]
        [id:rhel-7-server-eus-rh-common-rpms Red Hat Enterprise Linux 7 Server - Extended Update Support - RH Common (RPMs)]
        [id:rhel-ha-for-rhel-7-server-fastrack-rpms Red Hat Enterprise Linux High Availability (for RHEL 7 Server) - Fastrack (RPMs)]
        [id:rhel-rs-for-rhel-7-server-eus-rpms Red Hat Enterprise Linux Resilient Storage (for RHEL 7 Server) - Extended Update Support (RPMs)]
        [id:rhel-7-server-eus-debug-rpms Red Hat Enterprise Linux 7 Server - Extended Update Support (Debug RPMs)]
        [id:rhel-7-server-extras-rpms Red Hat Enterprise Linux 7 Server - Extras (RPMs)]
        [id:rhel-7-server-rh-common-debug-rpms Red Hat Enterprise Linux 7 Server - RH Common (Debug RPMs)]
        [id:rhel-atomic-host-beta-debug-rpms Red Hat Enterprise Linux Atomic Host Beta (Debug RPMs)]
        [id:rhel-7-server-rhn-tools-beta-rpms RHN Tools for Red Hat Enterprise Linux 7 Server Beta (RPMs)]
        [id:rhel-7-server-supplementary-debug-rpms Red Hat Enterprise Linux 7 Server - Supplementary (Debug RPMs)]
        [id:rhel-7-server-satellite-tools-6.1-debug-rpms Red Hat Satellite Tools 6.1 (for RHEL 7 Server) (Debug RPMs)]
        [id:rhel-7-server-mrg-messaging-3-source-rpms Red Hat Enterprise MRG Messaging 3 for RHEL 7 (Source RPMs)]
        [id:rhel-7-server-eus-source-rpms Red Hat Enterprise Linux 7 Server - Extended Update Support (Source RPMs)]
        [id:rhel-7-server-openstack-7.0-tools-rpms Red Hat OpenStack Tools 7.0 for Red Hat Enterprise Linux 7 Server (RPMs)]
        [id:rhel-ha-for-rhel-7-server-eus-debug-rpms Red Hat Enterprise Linux High Availability (for RHEL 7 Server) - Extended Update Support (Debug RPMs)]
        [id:rhel-7-server-optional-beta-debug-rpms Red Hat Enterprise Linux 7 Server - Optional Beta (Debug RPMs)]
        [id:rhel-rs-for-rhel-7-server-source-rpms Red Hat Enterprise Linux Resilient Storage (for RHEL 7 Server) (Source RPMs)]
        [id:rhel-rs-for-rhel-7-server-fastrack-rpms Red Hat Enterprise Linux Resilient Storage (for RHEL 7 Server) - Fastrack (RPMs)]
        [id:rh-gluster-3-client-for-rhel-7-server-debug-rpms Red Hat Storage Native Client for RHEL 7 (Debug RPMs)]
        [id:rhel-7-server-optional-fastrack-debug-rpms Red Hat Enterprise Linux 7 Server - Optional Fastrack (Debug RPMs)]
        [id:rhel-7-server-satellite-tools-6.2-source-rpms Red Hat Satellite Tools 6.2 (for RHEL 7 Server) (Source RPMs)]
        [id:rhel-rs-for-rhel-7-server-eus-source-rpms Red Hat Enterprise Linux Resilient Storage (for RHEL 7 Server) - Extended Update Support (Source RPMs)]
        [id:rhel-7-server-eus-rh-common-debug-rpms Red Hat Enterprise Linux 7 Server - Extended Update Support - RH Common (Debug RPMs)]
        [id:rhel-ha-for-rhel-7-server-fastrack-debug-rpms Red Hat Enterprise Linux High Availability (for RHEL 7 Server) - Fastrack (Debug RPMs)]
        [id:rhel-atomic-host-debug-rpms Red Hat Enterprise Linux Atomic Host (Debug RPMs)]
        [id:rhel-ha-for-rhel-7-server-eus-rpms Red Hat Enterprise Linux High Availability (for RHEL 7 Server) - Extended Update Support (RPMs)]
        [id:rhel-7-server-satellite-tools-6.2-debug-rpms Red Hat Satellite Tools 6.2 (for RHEL 7 Server) (Debug RPMs)]
        [id:rhel-7-server-eus-satellite-tools-6.1-source-rpms Red Hat Satellite Tools 6.1 (for RHEL 7 Server - EUS) (Source RPMs)]
        [id:rhel-7-server-supplementary-beta-source-rpms Red Hat Enterprise Linux 7 Server - Supplementary Beta (Source RPMs)]
        [id:rhel-7-server-rt-beta-debug-rpms Red Hat Enterprise Linux for Real Time Beta (RHEL 7 Server) (Debug RPMs)]
        [id:rhel-7-server-eus-satellite-tools-6.1-rpms Red Hat Satellite Tools 6.1 (for RHEL 7 Server - EUS) (RPMs)]
        [id:rhel-7-server-thirdparty-oracle-java-source-rpms Red Hat Enterprise Linux 7 Server - Oracle Java (Source RPMs)]
        [id:rhel-7-server-eus-rpms Red Hat Enterprise Linux 7 Server - Extended Update Support (RPMs)]
        [id:rhel-7-server-thirdparty-oracle-java-beta-source-rpms Red Hat Enterprise Linux 7 Server - Oracle Java Beta (Source RPMs)]
        [id:rhel-7-server-rt-beta-source-rpms Red Hat Enterprise Linux for Real Time Beta (RHEL 7 Server) (Source RPMs)]
        [id:rhel-7-server-beta-rpms Red Hat Enterprise Linux 7 Server Beta (RPMs)]
        [id:rhel-7-server-optional-debug-rpms Red Hat Enterprise Linux 7 Server - Optional (Debug RPMs)]
        [id:rhel-7-server-eus-supplementary-source-rpms Red Hat Enterprise Linux 7 Server - Extended Update Support - Supplementary (Source RPMs)]
        [id:rhel-ha-for-rhel-7-server-source-rpms Red Hat Enterprise Linux High Availability (for RHEL 7 Server) (Source RPMs)]
        [id:rhel-7-server-rhceph-1.3-tools-debug-rpms Red Hat Ceph Storage Tools 1.3 for Red Hat Enterprise Linux 7 Server (Debug RPMs)]
        [id:rhel-ha-for-rhel-7-server-eus-source-rpms Red Hat Enterprise Linux High Availability (for RHEL 7 Server) - Extended Update Support (Source RPMs)]
        [id:rhel-server-rhscl-7-eus-debug-rpms Red Hat Software Collections Debug RPMs for Red Hat Enterprise Linux 7 RHEL 7 Server EUS]
        [id:rhel-atomic-host-beta-rpms Red Hat Enterprise Linux Atomic Host Beta (RPMs)]
        [id:rhel-7-server-eus-supplementary-rpms Red Hat Enterprise Linux 7 Server - Extended Update Support - Supplementary (RPMs)]
        [id:rhel-7-server-rt-beta-rpms Red Hat Enterprise Linux for Real Time Beta (RHEL 7 Server) (RPMs)]
        [id:rhel-7-server-eus-satellite-tools-6.2-debug-rpms Red Hat Satellite Tools 6.2 (for RHEL 7 Server - EUS) (Debug RPMs)]
        [id:rhel-7-server-rhn-tools-rpms RHN Tools for Red Hat Enterprise Linux 7 Server (RPMs)]
        [id:rhel-rs-for-rhel-7-server-debug-rpms Red Hat Enterprise Linux Resilient Storage (for RHEL 7 Server) (Debug RPMs)]
        [id:rhel-7-server-rhceph-1.3-tools-source-rpms Red Hat Ceph Storage Tools 1.3 for Red Hat Enterprise Linux 7 Server (Source RPMs)]
        [id:rhel-7-server-thirdparty-oracle-java-rpms Red Hat Enterprise Linux 7 Server - Oracle Java (RPMs)]
        [id:rhel-7-server-eus-rhn-tools-debug-rpms RHN Tools for Red Hat Enterprise Linux 7 Server - Extended Update Support (Debug RPMs)]
        [id:rhel-7-server-fastrack-rpms Red Hat Enterprise Linux 7 Server - Fastrack (RPMs)]
        [id:rhel-7-server-eus-satellite-tools-6.2-rpms Red Hat Satellite Tools 6.2 (for RHEL 7 Server - EUS) (RPMs)]
        [id:rhel-7-server-optional-fastrack-rpms Red Hat Enterprise Linux 7 Server - Optional Fastrack (RPMs)]
        [id:rhel-7-server-thirdparty-oracle-java-beta-rpms Red Hat Enterprise Linux 7 Server - Oracle Java Beta (RPMs)]
        [id:rhel-atomic-host-rpms Red Hat Enterprise Linux Atomic Host (RPMs)]
        [id:rhel-7-server-eus-rhn-tools-source-rpms RHN Tools for Red Hat Enterprise Linux 7 Server - Extended Update Support (Source RPMs)]
        [id:rhel-7-server-rhn-tools-beta-source-rpms RHN Tools for Red Hat Enterprise Linux 7 Server Beta (Source RPMs)]
        [id:rhel-7-server-source-rpms Red Hat Enterprise Linux 7 Server (Source RPMs)]
        [id:rhel-7-server-extras-source-rpms Red Hat Enterprise Linux 7 Server - Extras (Source RPMs)]
        [id:rhel-7-server-openstack-7.0-tools-debug-rpms Red Hat OpenStack Tools 7.0 for Red Hat Enterprise Linux 7 Server (Debug RPMs)]
        [id:rhel-7-server-mrg-messaging-3-debug-rpms Red Hat Enterprise MRG Messaging 3 for RHEL 7 (Debug RPMs)]
        [id:rhel-atomic-host-source-rpms Red Hat Enterprise Linux Atomic Host (Source RPMs)]
        [id:rhel-7-server-eus-rh-common-source-rpms Red Hat Enterprise Linux 7 Server - Extended Update Support - RH Common (Source RPMs)]
        [id:rhel-rs-for-rhel-7-server-beta-debug-rpms Red Hat Enterprise Linux Resilient Storage (for RHEL 7 Server) Beta (Debug RPMs)]
        [id:rhel-7-server-fastrack-debug-rpms Red Hat Enterprise Linux 7 Server - Fastrack (Debug RPMs)]
        [id:rhel-rs-for-rhel-7-server-rpms Red Hat Enterprise Linux Resilient Storage (for RHEL 7 Server) (RPMs)]
        [id:rhel-atomic-host-beta-source-rpms Red Hat Enterprise Linux Atomic Host Beta (Source RPMs)]
        [id:rhel-7-server-optional-source-rpms Red Hat Enterprise Linux 7 Server - Optional (Source RPMs)]
        [id:rhel-7-server-rhn-tools-beta-debug-rpms RHN Tools for Red Hat Enterprise Linux 7 Server Beta (Debug RPMs)]
        [id:rhel-ha-for-rhel-7-server-fastrack-source-rpms Red Hat Enterprise Linux High Availability (for RHEL 7 Server) - Fastrack (Source RPMs)]
        [id:rhel-7-server-beta-source-rpms Red Hat Enterprise Linux 7 Server Beta (Source RPMs)]
        [id:rhel-7-server-satellite-tools-6-beta-source-rpms Red Hat Satellite Tools 6 Beta (for RHEL 7 Server) (Source RPMs)]
        [id:rhel-rs-for-rhel-7-server-beta-source-rpms Red Hat Enterprise Linux Resilient Storage (for RHEL 7 Server) Beta (Source RPMs)]
        [id:rhel-7-server-v2vwin-1-rpms Red Hat Virt V2V Tool for RHEL 7 (RPMs)]
        [id:rhel-rs-for-rhel-7-server-eus-debug-rpms Red Hat Enterprise Linux Resilient Storage (for RHEL 7 Server) - Extended Update Support (Debug RPMs)]
        [id:rhel-7-server-rh-common-beta-rpms Red Hat Enterprise Linux 7 Server - RH Common Beta (RPMs)]
        [id:rhel-7-server-eus-optional-rpms Red Hat Enterprise Linux 7 Server - Extended Update Support - Optional (RPMs)]
        [id:rhel-server-rhscl-7-debug-rpms Red Hat Software Collections Debug RPMs for Red Hat Enterprise Linux 7 Server]
        [id:rhel-7-server-eus-satellite-tools-6.1-debug-rpms Red Hat Satellite Tools 6.1 (for RHEL 7 Server - EUS) (Debug RPMs)]
        [id:rhel-7-server-extras-debug-rpms Red Hat Enterprise Linux 7 Server - Extras (Debug RPMs)]
        [id:rhel-7-server-debug-rpms Red Hat Enterprise Linux 7 Server (Debug RPMs)]
        [id:rhel-server-rhscl-7-source-rpms Red Hat Software Collections Source RPMs for Red Hat Enterprise Linux 7 Server]
        [id:rhel-ha-for-rhel-7-server-beta-source-rpms Red Hat Enterprise Linux High Availability (for RHEL 7 Server) Beta (Source RPMs)]
        [id:rhel-7-server-rt-debug-rpms Red Hat Enterprise Linux for Real Time (RHEL 7 Server) (Debug RPMs)]
        [id:rhel-7-server-rh-common-rpms Red Hat Enterprise Linux 7 Server - RH Common (RPMs)]
        [id:rhel-7-server-satellite-tools-6.1-rpms Red Hat Satellite Tools 6.1 (for RHEL 7 Server) (RPMs)]
        [id:rhel-7-server-satellite-tools-6.1-source-rpms Red Hat Satellite Tools 6.1 (for RHEL 7 Server) (Source RPMs)]
        [id:rhel-7-server-eus-optional-source-rpms Red Hat Enterprise Linux 7 Server - Extended Update Support - Optional (Source RPMs)]
        [id:rhel-7-server-v2vwin-1-source-rpms Red Hat Virt V2V Tool for RHEL 7 (Source RPMs)]
        [id:rhel-7-server-rh-common-beta-source-rpms Red Hat Enterprise Linux 7 Server - RH Common Beta (Source RPMs)]
        [id:rhel-7-server-fastrack-source-rpms Red Hat Enterprise Linux 7 Server - Fastrack (Source RPMs)]
        [id:rhel-ha-for-rhel-7-server-rpms Red Hat Enterprise Linux High Availability (for RHEL 7 Server) (RPMs)]
        [id:rhel-7-server-supplementary-beta-rpms Red Hat Enterprise Linux 7 Server - Supplementary Beta (RPMs)]
        [id:rhel-7-server-optional-beta-source-rpms Red Hat Enterprise Linux 7 Server - Optional Beta (Source RPMs)]
        [id:rhel-7-server-eus-thirdparty-oracle-java-rpms Red Hat Enterprise Linux 7 Server - Extended Update Support - Oracle Java (RPMs)]
        [id:rhel-7-server-rh-common-source-rpms Red Hat Enterprise Linux 7 Server - RH Common (Source RPMs)]
        [id:rhel-7-server-satellite-tools-6-beta-rpms Red Hat Satellite Tools 6 Beta (for RHEL 7 Server) (RPMs)]
        [id:rhel-7-server-rhn-tools-debug-rpms RHN Tools for Red Hat Enterprise Linux 7 Server (Debug RPMs)]
        [id:rhel-7-server-eus-rhn-tools-rpms RHN Tools for Red Hat Enterprise Linux 7 Server - Extended Update Support (RPMs)]
        [id:rh-gluster-3-client-for-rhel-7-server-rpms Red Hat Storage Native Client for RHEL 7 (RPMs)]
        [id:rhel-7-server-eus-satellite-tools-6.2-source-rpms Red Hat Satellite Tools 6.2 (for RHEL 7 Server - EUS) (Source RPMs)]
        [id:rhel-7-server-rpms Red Hat Enterprise Linux 7 Server (RPMs)]
        [id:rhel-7-server-openstack-8-tools-source-rpms Red Hat OpenStack Tools 8 for Red Hat Enterprise Linux 7 Server (Source RPMs)]
        [id:rhel-server-rhscl-7-eus-rpms Red Hat Software Collections RPMs for Red Hat Enterprise Linux 7 RHEL 7 Server EUS]
        [id:rhel-7-server-supplementary-beta-debug-rpms Red Hat Enterprise Linux 7 Server - Supplementary Beta (Debug RPMs)]
        [id:rh-gluster-3-client-for-rhel-7-server-source-rpms Red Hat Storage Native Client for RHEL 7 (Source RPMs)]
        [id:rhel-7-server-rt-source-rpms Red Hat Enterprise Linux for Real Time (RHEL 7 Server) (Source RPMs)]
        [id:rhel-rs-for-rhel-7-server-beta-rpms Red Hat Enterprise Linux Resilient Storage (for RHEL 7 Server) Beta (RPMs)]
        [id:rhel-7-server-eus-optional-debug-rpms Red Hat Enterprise Linux 7 Server - Extended Update Support - Optional (Debug RPMs)]
        [id:rhel-ha-for-rhel-7-server-beta-rpms Red Hat Enterprise Linux High Availability (for RHEL 7 Server) Beta (RPMs)]
        [id:rhel-7-server-eus-supplementary-debuginfo Red Hat Enterprise Linux 7 Server - Extended Update Support - Supplementary (Debug RPMs)]
        [id:rhel-7-server-rh-common-beta-debug-rpms Red Hat Enterprise Linux 7 Server - RH Common Beta (Debug RPMs)]
        [id:rhel-7-server-openstack-8-tools-rpms Red Hat OpenStack Tools 8 for Red Hat Enterprise Linux 7 Server (RPMs)]
        [id:rhel-7-server-rhceph-1.3-tools-rpms Red Hat Ceph Storage Tools 1.3 for Red Hat Enterprise Linux 7 Server (RPMs)]
        [id:rhel-7-server-satellite-tools-6-beta-debug-rpms Red Hat Satellite Tools 6 Beta (for RHEL 7 Server) (Debug RPMs)]
        [id:rhel-7-server-openstack-8-tools-debug-rpms Red Hat OpenStack Tools 8 for Red Hat Enterprise Linux 7 Server (Debug RPMs)]
        [id:rhel-ha-for-rhel-7-server-beta-debug-rpms Red Hat Enterprise Linux High Availability (for RHEL 7 Server) Beta (Debug RPMs)]
        [id:rhel-ha-for-rhel-7-server-debug-rpms Red Hat Enterprise Linux High Availability (for RHEL 7 Server) (Debug RPMs)]
        [id:rhel-7-server-supplementary-rpms Red Hat Enterprise Linux 7 Server - Supplementary (RPMs)]
        [id:rhel-7-server-rt-rpms Red Hat Enterprise Linux for Real Time (RHEL 7 Server) (RPMs)]
        [id:rhel-7-server-eus-thirdparty-oracle-java-source-rpms Red Hat Enterprise Linux 7 Server - Extended Update Support - Oracle Java (Source RPMs)]
        [id:rhel-7-server-optional-rpms Red Hat Enterprise Linux 7 Server - Optional (RPMs)]
        [id:rhel-server-rhscl-7-rpms Red Hat Software Collections RPMs for Red Hat Enterprise Linux 7 Server]
        [id:rhel-rs-for-rhel-7-server-fastrack-source-rpms Red Hat Enterprise Linux Resilient Storage (for RHEL 7 Server) - Fastrack (Source RPMs)]
        [id:rhel-7-server-optional-fastrack-source-rpms Red Hat Enterprise Linux 7 Server - Optional Fastrack (Source RPMs)]
        [id:rhel-7-server-rhn-tools-source-rpms RHN Tools for Red Hat Enterprise Linux 7 Server (Source RPMs)]
        [id:rhel-7-server-supplementary-source-rpms Red Hat Enterprise Linux 7 Server - Supplementary (Source RPMs)]
        [id:rhel-7-server-beta-debug-rpms Red Hat Enterprise Linux 7 Server Beta (Debug RPMs)]
        [id:rhel-7-server-openstack-7.0-tools-source-rpms Red Hat OpenStack Tools 7.0 for Red Hat Enterprise Linux 7 Server (Source RPMs)]
        [id:rhel-7-server-optional-beta-rpms Red Hat Enterprise Linux 7 Server - Optional Beta (RPMs)]
    Added (new)
        [id:rhel-7-server-satellite-capsule-6.1-debug-rpms Red Hat Satellite Capsule 6.1 (for RHEL 7 Server) (Debug RPMs)]
        [id:rhel-server-rhscl-7-beta-source-rpms Red Hat Software Collections Beta Source RPMs for Red Hat Enterprise Linux 7 Server]
        [id:rhel-7-server-satellite-capsule-optional-6.0-debug-rpms Red Hat Satellite Capsule 6.0 - Optional (for RHEL 7 Server) (Debug RPMs)]
        [id:rhel-7-server-satellite-capsule-6.2-source-rpms Red Hat Satellite Capsule 6.2 (for RHEL 7 Server) (Source RPMs)]
        [id:rhel-7-server-satellite-capsule-optional-6.0-rpms Red Hat Satellite Capsule 6.0 - Optional (for RHEL 7 Server) (RPMs)]
        [id:rhel-server-7-satellite-capsule-6-beta-source-rpms Red Hat Satellite Capsule 6 Beta (for RHEL 7 Server) (Source RPMs)]
        [id:rhel-server-7-satellite-6-beta-source-rpms Red Hat Satellite 6 Beta (for RHEL 7 Server) (Source RPMs)]
        [id:rhel-7-server-satellite-capsule-6.2-rpms Red Hat Satellite Capsule 6.2 (for RHEL 7 Server) (RPMs)]
        [id:rhel-7-server-satellite-capsule-6.0-debug-rpms Red Hat Satellite Capsule 6.0 (for RHEL 7 Server) (Debug RPMs)]
        [id:rhel-7-server-satellite-6.0-rpms Red Hat Satellite 6.0 (for RHEL 7 Server) (RPMs)]
        [id:rhel-server-rhscl-7-beta-debug-rpms Red Hat Software Collections Beta Debug RPMs for Red Hat Enterprise Linux 7 Server]
        [id:rhel-7-server-satellite-capsule-6.0-rpms Red Hat Satellite Capsule 6.0 (for RHEL 7 Server) (RPMs)]
        [id:rhel-7-server-satellite-capsule-6.1-rpms Red Hat Satellite Capsule 6.1 (for RHEL 7 Server) (RPMs)]
        [id:rhel-server-7-satellite-capsule-6-beta-rpms Red Hat Satellite Capsule 6 Beta (for RHEL 7 Server) (RPMs)]
        [id:rhel-7-server-satellite-6.1-rpms Red Hat Satellite 6.1 (for RHEL 7 Server) (RPMs)]
        [id:rhel-7-server-satellite-6.0-source-rpms Red Hat Satellite 6.0 (for RHEL 7 Server) (Source RPMs)]
        [id:rhel-7-server-satellite-capsule-6.0-source-rpms Red Hat Satellite Capsule 6.0 (for RHEL 7 Server) (Source RPMs)]
        [id:rhel-server-rhscl-7-beta-rpms Red Hat Software Collections Beta RPMs for Red Hat Enterprise Linux 7 Server]
        [id:rhel-7-server-satellite-6.0-debug-rpms Red Hat Satellite 6.0 (for RHEL 7 Server) (Debug RPMs)]
        [id:rhel-server-7-satellite-6-beta-debug-rpms Red Hat Satellite 6 Beta (for RHEL 7 Server) (Debug RPMs)]
        [id:rhel-7-server-satellite-optional-6.0-debug-rpms Red Hat Satellite 6.0 - Optional (for RHEL 7 Server) (Debug RPMs)]
        [id:rhel-7-server-satellite-6.2-debug-rpms Red Hat Satellite 6.2 (for RHEL 7 Server) (Debug RPMs)]
        [id:rhel-server-7-satellite-6-beta-rpms Red Hat Satellite 6 Beta (for RHEL 7 Server) (RPMs)]
        [id:rhel-7-server-satellite-6.1-source-rpms Red Hat Satellite 6.1 (for RHEL 7 Server) (Source RPMs)]
        [id:rhel-7-server-satellite-optional-6.0-rpms Red Hat Satellite 6.0 - Optional (for RHEL 7 Server) (RPMs)]
        [id:rhel-7-server-satellite-6.2-source-rpms Red Hat Satellite 6.2 (for RHEL 7 Server) (Source RPMs)]
        [id:rhel-7-server-satellite-optional-6.0-source-rpms Red Hat Satellite 6.0 - Optional (for RHEL 7 Server) (Source RPMs)]
        [id:rhel-7-server-satellite-capsule-optional-6.0-source-rpms Red Hat Satellite Capsule 6.0 - Optional (for RHEL 7 Server) (Source RPMs)]
        [id:rhel-7-server-satellite-capsule-6.1-source-rpms Red Hat Satellite Capsule 6.1 (for RHEL 7 Server) (Source RPMs)]
        [id:rhel-7-server-satellite-6.1-debug-rpms Red Hat Satellite 6.1 (for RHEL 7 Server) (Debug RPMs)]
        [id:rhel-7-server-satellite-capsule-6.2-debug-rpms Red Hat Satellite Capsule 6.2 (for RHEL 7 Server) (Debug RPMs)]
        [id:rhel-server-7-satellite-capsule-6-beta-debug-rpms Red Hat Satellite Capsule 6 Beta (for RHEL 7 Server) (Debug RPMs)]
        [id:rhel-7-server-satellite-6.2-rpms Red Hat Satellite 6.2 (for RHEL 7 Server) (RPMs)]
    Deleted
        <NONE>
    2016-01-14 06:47:40,178 [DEBUG] subscription-manager:6221 @entbranding.py:47 - BrandInstaller ent_certs:  []
    2016-01-14 06:47:40,178 [DEBUG] subscription-manager:6221 @certdirectory.py:216 - Installed product IDs: ['134', '271', '272', '176', '83', '86', '84', '85', '180', '181', '287', '201', '246', '240', '70', '91', '90', '93', '92', '69', '132', '293', '291']
    2016-01-14 06:47:40,216 [DEBUG] subscription-manager:6221 @rhelentbranding.py:119 - Installed branded product: <rhsm.certificate2.Product object at 0x3281f50>
    2016-01-14 06:47:40,216 [DEBUG] subscription-manager:6221 @rhelentbranding.py:122 - 1 entitlement certs with brand info found
    2016-01-14 06:47:40,216 [DEBUG] subscription-manager:6221 @entbranding.py:61 - Current branded name info, if any: Red Hat Enterprise Linux
    2016-01-14 06:47:40,216 [DEBUG] subscription-manager:6221 @entbranding.py:62 - Fresh ent cert has branded product info: Red Hat Enterprise Linux
    2016-01-14 06:47:40,216 [DEBUG] subscription-manager:6221 @entbranding.py:67 - Product branding info does not need to be updated
    2016-01-14 06:47:40,217 [DEBUG] subscription-manager:6221 @cache.py:138 - Checking current system info against cache: /var/lib/rhsm/cache/installed_products.json
Comment 3 Shwetha Kallesh 2016-01-14 08:48:00 EST
When your system already has a paid subscription and you try auto-attach a new cdk subscription is attached

-bash-4.2$ sudo subscription-manager  register
Registering to: subscription.rhn.stage.redhat.com:443/subscription
Username: cdk-vagrant-test 
Password: 
The system has been registered with ID: 21a238c0-e168-4599-8e71-a77084a560de 

-bash-4.2$ sudo subscription-manager  list --avail
+-------------------------------------------+
    Available Subscriptions
+-------------------------------------------+
Subscription Name:   Red Hat Desktop (Satellite Starter Pack) (50 Entitlements)
Provides:            Red Hat Satellite Capsule Beta
                     Red Hat Software Collections Beta (for RHEL Workstation)
                     Red Hat Software Collections (for RHEL Workstation)
                     Red Hat Software Collections (for RHEL Server)
                     Red Hat Satellite Capsule
                     Red Hat Satellite with Embedded Oracle
                     Red Hat Enterprise Linux Desktop
                     Red Hat Beta
                     Red Hat Satellite Beta
                     Red Hat Satellite 6 Beta
                     Red Hat Enterprise Linux High Availability (for RHEL Server)
                     Red Hat Enterprise Linux Server
                     Red Hat Satellite
                     Red Hat Software Collections Beta (for RHEL Server)
                     Red Hat Enterprise Linux Load Balancer (for RHEL Server)
SKU:                 MCT0476
Contract:            10747821
Pool ID:             8a99f9835210f0f8015217dab19c33cd
Provides Management: Yes
Available:           204
Suggested:           1
Service Level:       Premium
Service Type:        L1-L3
Subscription Type:   Standard
Ends:                01/04/2017
System Type:         Physical

-bash-4.2$ sudo subscription-manager  attach --pool 8a99f9835210f0f8015217dab19c33cd
Successfully attached a subscription for: Red Hat Desktop (Satellite Starter Pack) (50 Entitlements)
-bash-4.2$ 
-bash-4.2$ sudo subscription-manager  list --consumed
+-------------------------------------------+
   Consumed Subscriptions
+-------------------------------------------+
Subscription Name:   Red Hat Desktop (Satellite Starter Pack) (50 Entitlements)
Provides:            Red Hat Satellite
                     Red Hat Enterprise Linux Desktop
                     Red Hat Enterprise Linux Server
                     Red Hat Beta
                     Red Hat Software Collections (for RHEL Server)
                     Red Hat Satellite Beta
                     Red Hat Software Collections (for RHEL Workstation)
                     Red Hat Software Collections Beta (for RHEL Server)
                     Red Hat Satellite 6 Beta
                     Red Hat Satellite Capsule Beta
                     Red Hat Enterprise Linux Load Balancer (for RHEL Server)
                     Red Hat Software Collections Beta (for RHEL Workstation)
                     Red Hat Satellite with Embedded Oracle
                     Red Hat Satellite Capsule
                     Red Hat Enterprise Linux High Availability (for RHEL Server)
SKU:                 MCT0476
Contract:            10747821
Account:             5583856
Serial:              1732581445757537249
Pool ID:             8a99f9835210f0f8015217dab19c33cd
Provides Management: Yes
Active:              True
Quantity Used:       1
Service Level:       Premium
Service Type:        L1-L3
Status Details:      Subscription is current
Subscription Type:   Standard
Starts:              01/05/2016
Ends:                01/04/2017
System Type:         Physical

-bash-4.2$ sudo subscription-manager  attach --auto


Installed Product Current Status:
Product Name: Red Hat Enterprise Linux High Performance Networking (for RHEL Compute Node)
Status:       Subscribed

Product Name: Red Hat Enterprise Linux Atomic Host
Status:       Subscribed

Product Name: Red Hat Enterprise Linux Atomic Host Beta
Status:       Subscribed

Product Name: Red Hat Developer Toolset (for RHEL Server)
Status:       Subscribed

Product Name: Red Hat Enterprise Linux High Availability (for RHEL Server)
Status:       Subscribed

Product Name: Red Hat Enterprise Linux Load Balancer (for RHEL Server) - Extended Update Support
Status:       Subscribed

Product Name: Red Hat Enterprise Linux High Availability (for RHEL Server) - Extended Update Support
Status:       Subscribed

Product Name: Red Hat Enterprise Linux Load Balancer (for RHEL Server)
Status:       Subscribed

Product Name: Red Hat Beta
Status:       Subscribed

Product Name: Red Hat EUCJP Support (for RHEL Server)
Status:       Subscribed

Product Name: Red Hat Enterprise Linux for Real Time
Status:       Subscribed

Product Name: Red Hat Software Collections (for RHEL Server)
Status:       Subscribed

Product Name: Oracle Java (for RHEL Server) - Extended Update Support
Status:       Subscribed

Product Name: Oracle Java (for RHEL Server)
Status:       Subscribed

Product Name: Red Hat Enterprise Linux Server - Extended Update Support
Status:       Subscribed

Product Name: Red Hat Enterprise Linux Resilient Storage (for RHEL Server) - Extended Update Support
Status:       Subscribed

Product Name: Red Hat Enterprise Linux Resilient Storage (for RHEL Server)
Status:       Subscribed

Product Name: Red Hat Enterprise Linux Scalable File System (for RHEL Server) - Extended Update Support
Status:       Subscribed

Product Name: Red Hat Enterprise Linux Scalable File System (for RHEL Server)
Status:       Subscribed

Product Name: Red Hat Enterprise Linux Server
Status:       Subscribed

Product Name: Red Hat Enterprise Linux High Performance Networking (for RHEL Server)
Status:       Subscribed

Product Name: Red Hat Container Development Kit
Status:       Subscribed

Product Name: Red Hat Enterprise MRG Messaging 3 for RHEL 7
Status:       Subscribed
 
-bash-4.2$ sudo subscription-manager list --consumed
+-------------------------------------------+
   Consumed Subscriptions
+-------------------------------------------+
Subscription Name:   Internal Shadow Sku CDK Entitlement
Provides:            Oracle Java (for RHEL Server)
                     Red Hat Enterprise Linux High Performance Networking (for RHEL Compute Node)
                     Red Hat Enterprise Linux Server - Extended Update Support
                     Red Hat EUCJP Support (for RHEL Server)
                     Red Hat Enterprise Linux Server
                     Red Hat Enterprise Linux Atomic Host
                     Oracle Java (for RHEL Server) - Extended Update Support
                     Red Hat Enterprise Linux Resilient Storage (for RHEL Server) - Extended Update Support
                     Red Hat Beta
                     Red Hat Software Collections (for RHEL Server)
                     Red Hat Enterprise Linux Resilient Storage (for RHEL Server)
                     Red Hat Enterprise Linux High Availability (for RHEL Server) - Extended Update Support
                     Red Hat Enterprise Linux Atomic Host Beta
                     Red Hat Enterprise MRG Messaging 3 for RHEL 7
                     Red Hat Developer Toolset (for RHEL Server)
                     Red Hat Enterprise Linux Scalable File System (for RHEL Server) - Extended Update Support
                     Red Hat Enterprise Linux Scalable File System (for RHEL Server)
                     Red Hat Enterprise Linux Load Balancer (for RHEL Server) - Extended Update Support
                     Red Hat Enterprise Linux for Real Time
                     Red Hat Enterprise Linux Load Balancer (for RHEL Server)
                     Red Hat Enterprise Linux High Performance Networking (for RHEL Server)
                     Red Hat Enterprise Linux High Availability (for RHEL Server)
                     Red Hat Container Development Kit
SKU:                 MCT3295
Contract:            
Account:             
Serial:              5620164075628842456
Pool ID:             8a99f981524002290152405eef490000
Provides Management: No
Active:              True
Quantity Used:       1
Service Level:       Self-Support
Service Type:        
Status Details:      Subscription is current
Subscription Type:   Standard
Starts:              01/14/2016
Ends:                01/15/2016
System Type:         Physical

Subscription Name:   Red Hat Desktop (Satellite Starter Pack) (50 Entitlements)
Provides:            Red Hat Satellite
                     Red Hat Enterprise Linux Desktop
                     Red Hat Enterprise Linux Server
                     Red Hat Beta
                     Red Hat Software Collections (for RHEL Server)
                     Red Hat Satellite Beta
                     Red Hat Software Collections (for RHEL Workstation)
                     Red Hat Software Collections Beta (for RHEL Server)
                     Red Hat Satellite 6 Beta
                     Red Hat Satellite Capsule Beta
                     Red Hat Enterprise Linux Load Balancer (for RHEL Server)
                     Red Hat Software Collections Beta (for RHEL Workstation)
                     Red Hat Satellite with Embedded Oracle
                     Red Hat Satellite Capsule
                     Red Hat Enterprise Linux High Availability (for RHEL Server)
SKU:                 MCT0476
Contract:            10747821
Account:             5583856
Serial:              1732581445757537249
Pool ID:             8a99f9835210f0f8015217dab19c33cd
Provides Management: Yes
Active:              True
Quantity Used:       1
Service Level:       Premium
Service Type:        L1-L3
Status Details:      Subscription is current
Subscription Type:   Standard
Starts:              01/05/2016
Ends:                01/04/2017
System Type:         Physical
Comment 4 Michael Stead 2016-03-09 12:45:00 EST
This bug appears to be related to modified products. If a new ent is granted/removed that modifies a provided product in the new dev sku, the entitlement from the development pool (cdk) will be regenerated to include/exclude the new content.

A little more time needs to be investigated into what role modified products have on development entitlements. For now, I don't see this as a big issue in that the cert regen happens in the same attach operation and the system is never without the dev entitlement.

Moving this back to NEW until the time is available to look into this further.
Comment 5 William Poteat 2016-04-14 08:42:53 EDT
The behavior follows regular entitlements. If there is not a modifier product in the equation, then the entitlement is not regenerated.

Note You need to log in before you can comment on or make changes to this bug.